PSC(1)

NOME
psc - prepara i file sc

SINTASSI
psc [-fLkrSPv] [-s cella] [-R n] [-C n] [-n n] [-d c]

DESCRIZIONE
Psc si usa per preparare dati per l'input al foglio di calcolo sc(1). Esso accetta dati ascii normali sullo standard input. Lo standard output è un file sc. Senza alcuna opzione, psc inizia il foglio di calcolo nella cella A0. Le stringhe sono allineate a destra. Tutti i dati su una linea sono inseriti sulla stessa riga; ogni nuova linea di input determina un incremento di una riga nell'output. I delimitatori predefiniti sono il tab e lo spazio. I formati delle colonne sono impostati ad un valore maggiore rispetto al numero di caratteri richiesto per contenere il valore più grande presente nella colonna.

OPZIONI

-f  Omette il calcolo della larghezza della colonna. Questa opzione serve per preparare i dati da unire a quelli di un foglio di calcolo esistente. Se l'opzione non è specificata, le larghezze della colonna calcolate per i dati letti da psc sovrascriveranno quelli già impostati nel foglio di calcolo esistente.

-L  Allinea a sinistra le stringhe.

-k  Tiene tutti i delimitatori. Questa opzione produce un cambiamento nella cella di output su ogni nuovo delimitatore incontrato nel flusso di dati di input. L'azione predefinita è di condensare delimitatori multipli in uno, così che la cella cambia solo una volta per ogni oggetto di dati in input.

-r  I dati in output sono ordinati prima per riga poi per colonna. Per un input consistente di una singola colonna, questa opzione provocherà un output di una riga con colonne multiple invece di un foglio di calcolo con una singola colonna.

-s cella
    Inizia l'angolo in alto a sinistra del foglio di calcolo in cella. Per esempio, -s B33 organizzerà i dati di output in modo che il foglio di calcolo inizi dalla colonna B, riga 33.

-R n
    Incrementa di n ogni nuova riga di output.

-C n
    Incrementa di n ogni nuova colonna di output.

-n n
    Produce un output di n righe prima di avanzare alla colonna successiva. Questa opzione è usata quando l'input è organizzato in un singola colonna e il foglio di calcolo consiste di colonne multiple, ognuna delle quali deve essere lunga n.

-d c
    Usa il singolo carattere c come delimitatore tra i campi di input.

-P  Solo numeri piani. Un campo è un numero solo quando non c'è imbeded [-+eE].

-S  Tutti i numeri sono stringhe.

-v  Stampa sullo schermo la versione di psc

VEDERE ANCHE
sc(1)

AUTORE
Robert Bond

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Hugh Hartmann <hhartmann@libero.it> e Elisabetta Galli <lab@kkk.it>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.